#ifndef PROJ_H
#define PROJ_H

typedef struct projectile {
    pt_2d pos ;
    pt_2d vel ;
    pt_2d acc ;
    double size;
    double ttl;
    int red;
    int green;
    int blue;
    int damage;
} projectile ;

void init_proj();
void free_proj();

void drawProj();
void appendProj(double x, double y, double z, double vx, double vy, double vz, double ax, double ay, double az, int r, int g, int b, int dmg, double ttl);
void removeProj(int k);
void updateAllProj(float dtime);

void resetProj();

#endif